Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class AbstractButton.AccessibleAbstractButton

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JComponent.AccessibleJComponent
                  |
                  +--javax.swing.AbstractButton.AccessibleAbstractButton

Direct Known Subclasses:
  JButton.AccessibleJButton, JMenuItem.AccessibleJMenuItem, JToggleButton.AccessibleJToggleButton

protected abstract class AbstractButton.AccessibleAbstractButton
extends JComponent.AccessibleJComponent
implements AccessibleAction, AccessibleValue

Accessiblity support.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`protected` | `AbstractButton.AccessibleAbstractButton()`

Method Summary
`boolean` | `doAccessibleAction(int i)` Perform the specified Action on the object
`AccessibleAction` | `getAccessibleAction()` Get the AccessibleAction associated with this object if one exists.
`int` | `getAccessibleActionCount()` Returns the number of Actions available in this object.
`java.lang.String` | `getAccessibleActionDescription(int i)` Return a description of the specified action of the object.
`java.lang.String` | `getAccessibleName()` Get the accessible name of this object.
`AccessibleStateSet` | `getAccessibleStateSet()` Get the state set of this object.
`AccessibleValue` | `getAccessibleValue()` Get the AccessibleValue associated with this object if one exists.
`java.lang.Number` | `getCurrentAccessibleValue()` Get the value of this object as a Number.
`java.lang.Number` | `getMaximumAccessibleValue()` Get the maximum value of this object as a Number.
`java.lang.Number` | `getMinimumAccessibleValue()` Get the minimum value of this object as a Number.
`boolean` | `setCurrentAccessibleValue(java.lang.Number n)` Set the value of this object as a Number.

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addFocusListener, addPropertyChangeListener, contains, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleParent, getAccessibleRole, getBackground, getBorderTitle, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleSelection, getAccessibleText, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractButton.AccessibleAbstractButton

    protected AbstractButton.AccessibleAbstractButton()

Method Detail

### getAccessibleName

    public java.lang.String getAccessibleName()

  Get the accessible name of this object.
  Returns:
    the localized name of the object -- can be null if this object does not have a name
  Overrides:
    getAccessibleName in class JComponent.AccessibleJComponent

### getAccessibleStateSet

    public AccessibleStateSet getAccessibleStateSet()

  Get the state set of this object.
  Returns:
    an instance of AccessibleState containing the current state of the object
  Overrides:
    getAccessibleStateSet in class JComponent.AccessibleJComponent
  See Also:
    `AccessibleState`

### getAccessibleAction

    public AccessibleAction getAccessibleAction()

  Get the AccessibleAction associated with this object if one exists. Otherwise return null.
  Overrides:
    getAccessibleAction in class AccessibleContext

### getAccessibleValue

    public AccessibleValue getAccessibleValue()

  Get the AccessibleValue associated with this object if one exists. Otherwise return null.
  Overrides:
    getAccessibleValue in class AccessibleContext

### getAccessibleActionCount

    public int getAccessibleActionCount()

  Returns the number of Actions available in this object. If there is more than one, the first one is the "default" action.
  Specified by:
    getAccessibleActionCount in interface AccessibleAction
  Returns:
    the number of Actions in this object

### getAccessibleActionDescription

    public java.lang.String getAccessibleActionDescription(int i)

  Return a description of the specified action of the object.
  Specified by:
    getAccessibleActionDescription in interface AccessibleAction
  Parameters:
    `i` - zero-based index of the actions

### doAccessibleAction

    public boolean doAccessibleAction(int i)

  Perform the specified Action on the object
  Specified by:
    doAccessibleAction in interface AccessibleAction
  Parameters:
    `i` - zero-based index of actions
  Returns:
    true if the the action was performed; else false.

### getCurrentAccessibleValue

    public java.lang.Number getCurrentAccessibleValue()

  Get the value of this object as a Number.
  Specified by:
    getCurrentAccessibleValue in interface AccessibleValue
  Returns:
    An Integer of 0 if this isn't selected or an Integer of 1 if this is selected.
  See Also:
    `AbstractButton.isSelected()`

### setCurrentAccessibleValue

    public boolean setCurrentAccessibleValue(java.lang.Number n)

  Set the value of this object as a Number.
  Specified by:
    setCurrentAccessibleValue in interface AccessibleValue
  Returns:
    True if the value was set.

### getMinimumAccessibleValue

    public java.lang.Number getMinimumAccessibleValue()

  Get the minimum value of this object as a Number.
  Specified by:
    getMinimumAccessibleValue in interface AccessibleValue
  Returns:
    An Integer of 0.

### getMaximumAccessibleValue

    public java.lang.Number getMaximumAccessibleValue()

  Get the maximum value of this object as a Number.
  Specified by:
    getMaximumAccessibleValue in interface AccessibleValue
  Returns:
    An Integer of 1.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.